> ## Documentation Index
> Fetch the complete documentation index at: https://developer.transactbridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unpause Subscription

> This API is used to mark a **`PAUSED`** subscription to **`ACTIVE`**. This API updates the status of the subscription to **`ACTIVE`**. **`PAUSED`**, a subscription can be **`UNPAUSED`** to reinstate the billing. If the subscription is marked **`ACTIVE`** in the same billing cycle in which it was marked **`PAUSED`** it would not be considered **`PAUSED`** at all and the billing cycle will be considered to be used fully.

Partner cannot unpause a subscription if the subscription was in PAUSED state and the renewal date of the subscription has passed. Partner can create new subscription and the adjustment credits from the previous PAUSED subscription will be used automatically.

To test the pause flow, partner can use **`unpausedDate`** parameter in non-production environment. The value of **`unpausedDate`** is a future date at which the subscription will be considered to be unpaused. This will help to check the adjustment credits and other payment flow.



## OpenAPI

````yaml /api-reference/subscriptions/subs.json post /subscription/v1.0/unpauseSubscription
openapi: 3.0.3
info:
  title: Subscription API
  description: API for creating and managing subscription sessions and payments.
  version: 1.0.0
servers:
  - url: https://sandbox-api.transactbridge.com
    description: Sandbox Environment
  - url: https://api.transactbridge.com
    description: Production Environment
security:
  - ApiKeyAuth: []
    SignatureAuth: []
paths:
  /subscription/v1.0/unpauseSubscription:
    post:
      tags:
        - Subscription
      summary: Unpause Subscription
      description: >-
        This API is used to mark a **`PAUSED`** subscription to **`ACTIVE`**.
        This API updates the status of the subscription to **`ACTIVE`**.
        **`PAUSED`**, a subscription can be **`UNPAUSED`** to reinstate the
        billing. If the subscription is marked **`ACTIVE`** in the same billing
        cycle in which it was marked **`PAUSED`** it would not be considered
        **`PAUSED`** at all and the billing cycle will be considered to be used
        fully.


        Partner cannot unpause a subscription if the subscription was in PAUSED
        state and the renewal date of the subscription has passed. Partner can
        create new subscription and the adjustment credits from the previous
        PAUSED subscription will be used automatically.


        To test the pause flow, partner can use **`unpausedDate`** parameter in
        non-production environment. The value of **`unpausedDate`** is a future
        date at which the subscription will be considered to be unpaused. This
        will help to check the adjustment credits and other payment flow.
      operationId: unpauseSubscription
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                subscriptionId:
                  type: string
                  format: MongoId
                  description: >-
                    Subscription Id of the subscription for which update is
                    needed.
                referenceId:
                  type: string
                  format: referenceId
                  description: >-
                    Subscription referenceId that was passed during the creation
                    of the subscription.
              anyOf:
                - required:
                    - subscriptionId
                - required:
                    - referenceId
      responses:
        '200':
          description: Unpause subscription.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pauseSubscription'
components:
  schemas:
    pauseSubscription:
      type: object
      properties:
        status:
          type: string
          description: The response from the API
        sub_status:
          type: string
          description: Used for internal purposes only
        data:
          type: object
          description: Contains the updated subscription details.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Merchant API Key
    SignatureAuth:
      type: apiKey
      in: header
      name: x-signature
      description: Generated request signature

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.